\language "deutsch"

\include "styles.ly"
\include #(ly:format "styles/~a.ly" songStyle)

\include #(if (defined? 'customStyleOverridesFile) customStyleOverridesFile "void.ly")

#(set-default-paper-size songFormatAndSize)
#(set-global-staff-size globalSize)

\paper {
  property-defaults.fonts.serif = \songChordFont
  property-defaults.fonts.sans = \songLyricFont
  %annotate-spacing = ##t
  % spacing stuff
  lyric-size = #lyricSize
  two-sided = ##t
  inner-margin = 1.5\cm
  outer-margin = \songMargin
  binding-offset = 0\cm
  top-margin = \songMargin
  bottom-margin = \songMargin
  system-system-spacing = #'((basic-distance . 10) (padding . 1.5))
  markup-system-spacing = #'((basic-distance . 1))
  score-markup-spacing = #'((padding . 2))
  top-markup-spacing = #'((basic-distance . 0) (minimum-distance . 0) (padding . 0))
}

generalLayout = \layout {
  indent = #0
  \context {
    \Lyrics
    \override LyricText.font-size = #lyricSize
    \override StanzaNumber.font-size = #lyricSize
    \override StanzaNumber.font-family = #'sans
    \override LyricText.font-family = #'sans
    \override LyricExtender.minimum-length = 0
  }
  \context {
    \Staff
    \accidentalStyle modern
  }
  \context {
    \Score
    \remove "Bar_number_engraver"
    \RemoveEmptyStaves
    \override VerticalAxisGroup.remove-first = ##t
    \overrideTimeSignatureSettings
      4/4               % timeSignatureFraction
      1/4               % baseMomentFraction
      #'(1 1 1 1)       % beatStructure
      #'()		% beamExceptions
    \overrideTimeSignatureSettings
      3/4               % timeSignatureFraction
      1/4               % baseMomentFraction
      #'(1 1 1 1)       % beatStructure
      #'()		% beamExceptions
  }
  \context {
    \Voice
    % ich will lines breaken wie ich will!
    \remove "Forbid_line_break_engraver"
  }
}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% kleine Helferlein:

textp = \lyricmode { \markup { \raise #1 \musicglyph #"rests.3" } }

% zweite Stimme alles grau
secondVoiceStyle = {
  \override NoteHead.color = #grey
  \override Stem.color = #grey
  \override Flag.color = #grey
  \override Beam.color = #grey
}

firstVoiceStyle = {
  \override NoteHead.color = #black
  \override Stem.color = #black
  \override Flag.color = #black
  \override Beam.color = #black
}

% einzelne Noten innerhalb von \secondVoiceStyle mit schwarzem statt grauem Kopf
schwarzkopf =
  #(define-music-function (parser location noten) (ly:music?)
  #{
   \revert NoteHead.color
   $noten
   \override NoteHead.color = #grey
  #})

% hübsche Wiederholungszeichen für den Liedtext
repStart = "𝄆"
repStop = "𝄇"